Subject: Re: bug#61395: 28.2; bug-reference warning seems incorrect

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Feb 2023 10:25:49 +0200

> From: Tom Tromey <[email-masked]>
> Date: Thu, 09 Feb 2023 12:08:39 -0700
> 
> 
> I got this warning while using bug-reference-prog-mode on a certain file
> in gdb:
> 
> Warning (bug-reference): The value of ‘bug-reference-bug-regexp’
> 
>   "\\(\\b\\(?:[Bb]ug ?#?\\|[Pp]atch ?#\\|RFE ?#\\|PR [a-z+-]+/\\)\\([0-9]+\\(?:#[0-9]+\\)?\\)\\)"
> 
> in buffer "finish.exp" doesn’t conform to the contract specified by its
> docstring.  The subexpression 1 should define the region of the
> bug-reference overlay and cover all other subexpressions up to
> subexpression 10. Disable showing Disable logging
> 
> 
> However, this warning seems wrong to me.  If you examine the above
> regexp, you'll see it does cover all the other subexpressions.
> 
> Perhaps it is mis-worded somehow and the actual problem is something
> else?  It's worth noting here that this is the default value for this
> regexp:
> 
> (defcustom bug-reference-bug-regexp
>   "\\(\\b\\(?:[Bb]ug ?#?\\|[Pp]atch ?#\\|RFE ?#\\|PR [a-z+-]+/\\)\\([0-9]+\\(?:#[0-9]+\\)?\\)\\)"
> 
> In gdb we use this setting for bug-reference-url-format, in case this
> matters somehow:
> 
> (bug-reference-url-format . "http://sourceware.org/bugzilla/show_bug.cgi?id=%s")

Thanks, but could you perhaps post a recipe for reproducing the
warning?  Based on your description, I couldn't understand how to
reproduce it: which variables to change (with the single exception of
bug-reference-url-format), and what should be the buffer text to
trigger the warning.  Could you help me reproducing the problem, so I
could investigate it and see how to fix it?